%define         svnrev svn2102
Name:           ioquake3
Version:        1.36
#Release:        %mkrel 7 -c %{svnrev}
Release:        %mkrel 11.%{svnrev}
Summary:        Quake 3 Arena engine (ioquake3 version)
Group:          Games/Shooter
License:        GPLv2+
URL:            http://ioquake3.org/
# to regenerate (note included systemlib copies are removed for size, lcc
# is removed as it is not Free software):
# svn co svn://svn.icculus.org/quake3/tags/%{version} %{name}-%{version}
# pushd %{name}-%{version}
# rm -fr `find -name .svn` code/AL code/SDL12 code/libcurl code/libs
# rm -fr code/jpeg-8c code/zlib code/libspeex code/tools/lcc
# popd
# tar cvfj %{name}-%{version}.tar.bz2 %{name}-%{version}
Source0:        %{name}-%{version}-svn2102.tar.bz2
Source1:        %{name}-demo.sh
Source2:        %{name}.autodlrc
Source3:        %{name}.desktop
Source4:        %{name}.png
Source5:        %{name}-update.sh
Source6:        %{name}-update.autodlrc
#commented out because builds ok without them, just want to test it more 
#to be sure they're not needed anymore
#Source7:       jpeg_memsrc.h
#Source8:       jpeg_memsrc.c
Patch1:         quake3-1.34-rc4-demo-pak.patch
# patches from Debian for openarena compatibility (increase some buffer sizes)
Patch2:         0011-Double-the-maximum-number-of-cvars.patch
Patch3:         0012-Increase-the-command-buffer-from-16K-to-128K-followi.patch
# big-endian build fix
Patch4:         quake3-1.36-build.patch
BuildRequires:  SDL-devel 
BuildRequires:  libxt-devel 
BuildRequires:  openal-soft-devel 
BuildRequires:  libjpeg-devel
BuildRequires:  speex-devel 
BuildRequires:  libvorbis-devel 
BuildRequires:  curl-devel 
BuildRequires:  zlib-devel
BuildRequires:  desktop-file-utils
%ifarch %{ix86} x86_64
BuildRequires:  nasm
%endif
# for quake3-update
Requires:       autodownloader 

%description
This package contains the enhanced opensource ioquake3 version of the Quake 3
Arena engine. This engine can be used to play a number of games based on this
engine, below is an (incomplete list):

* OpenArena, Free, Open Source Quake3 like game, recommended!
  (packagename: openarena)

* Urban Terror, gratis, but not Open Source FPS best be described as a
  Hollywood tactical shooter, a downloader and installer including an
  application menu entry is available in the urbanterror package.

* World of Padman, gratis, but not Open Source Comic FPS, a downloader and
  installer including an application menu entry is available in the
  worldofpadman package.

* Smokin' Guns, gratis, but not Open Source FPS, a semi-realistic simulation of 
  the "Old West's" great atmosphere, a downloader and installer including an
  application menu entry is available in the smokinguns package.

* Quake3 Arena, the original! A downloader and installer for the gratis, but
  not Open Source demo, including an application menu entry is available in
  the quake3-demo package.
  
  If you own a copy of quake 3, you will need to copy pak0.pk3 from the
  original CD-ROM and your q3key to /usr/share/quake3/baseq3 or ~/.q3a/baseq3.
  Also copy the pak?.pk3 files from the original 1.32 Quake 3 Arena point
  release there if you have them available or run quake3-update to download
  them for you.


%package demo
Summary:        Quake 3 Arena tournament 3D shooter game demo installer
Group:          Games/Shooter
Requires:       ioquake3 = %{version}-%{release}
Requires:       opengl-games-utils 
BuildArch:      noarch

# quake3-demo used to be part of the quake3 package, make sure that people
# who have the old version with the demo included don't all of a sudden have
# the demo menu entry disappear.
#Obsoletes:      ioquake3 <= 1.34-0.4.rc4.fc9

%description demo
Quake 3 Arena tournament 3D shooter game demo installer. The Quake3 engine is
Open Source and as such is available as part of Mageia. The original Quake3
data files however are not Open Source and thus are not available as part of
Mageia. There is a gratis, but not Open Source demo available on the internet.

This package installs an application menu entry for playing the Quake3 Arena
demo. The first time you click this menu entry, it will offer to download and
install the Quake 3 demo datafiles for you.


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
# Add jpeg_memsrc
#cp -p %{SOURCE7} %{SOURCE8} ./code/renderer/


%build
# the CROSS_COMPILING=1 is a hack to not build q3cc and qvm files
# since we've stripped out q3cc as this is not Free Software.
%make \
    OPTIMIZE="$RPM_OPT_FLAGS -fno-strict-aliasing" \
    DEFAULT_BASEDIR=%{_datadir}/%{name} \
    USE_CODEC_VORBIS=1 \
    USE_LOCAL_HEADERS=0 \
    BUILD_GAME_SO=0 \
    GENERATE_DEPENDENCIES=0 \
    USE_INTERNAL_SPEEX=0 \
    USE_INTERNAL_ZLIB=0 \
    USE_INTERNAL_JPEG=0 \
    BUILD_CLIENT_SMP=1 \
    CROSS_COMPILING=1


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

install -m 755 build/release-linux-*/%{name}.* \
  $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 755 build/release-linux-*/%{name}-smp.* \
  $RPM_BUILD_ROOT%{_bindir}/%{name}-smp
install -m 755 build/release-linux-*/ioq3ded.* \
  $RPM_BUILD_ROOT%{_bindir}/ioq3ded
install -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/ioquake3-demo
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/%{name}

install -p -m 755 %{SOURCE5} $RPM_BUILD_ROOT%{_bindir}/ioquake3-update
install -p -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/%{name}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor mageia            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE3}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -p -m 644 %{SOURCE4} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps


%files
%defattr(-,root,root,-)
%doc BUGS ChangeLog COPYING.txt id-readme.txt md4-readme.txt NOTTODO README
%doc TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-smp
%{_bindir}/%{name}-update
%{_bindir}/ioq3ded
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}-update.autodlrc

%files demo
%defattr(-,root,root,-)
%{_bindir}/%{name}-demo
%{_datadir}/%{name}/%{name}.autodlrc
%{_datadir}/applications/mageia-%{name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png


%changelog

* Wed Jan 09 2013 malo <malo> 1.36-11.svn2102.mga3
+ Revision: 343797
- updated RPM group

* Fri Nov 16 2012 juancho <juancho> 1.36-10.svn2102.mga3
+ Revision: 318404
- Change group to new Games/Shooter

* Fri Mar 02 2012 juancho <juancho> 1.36-9.svn2102.mga2
+ Revision: 216696
- Removed Suggests for urbanterror, quake3-demo and worldofpadman

* Thu Dec 08 2011 juancho <juancho> 1.36-8.svn2102.mga2
+ Revision: 178837
- Added Smokin' Guns to the description.
- Removed unneeded patch

* Wed Dec 07 2011 juancho <juancho> 1.36-7.svn2102.mga2
+ Revision: 178420
- Fixed group for ioquake3-demo
- Added missing BuildRequires: desktop-file-utils
- Fixed group
- Replaced current spec with latest from Fedora (quake3-1.36-12.svn2102.fc17) and adapted it for Mageia to be used with other ioquake3 based games.
- Replaced current spec with latest from Fedora (quake3-1.36-12.svn2102.fc17) and adapted it for Mageia to be used with other ioquake3 based games.

* Sun Apr 17 2011 stormi <stormi> 1.36-6.mga1
+ Revision: 87417
- fix RPM group

* Thu Apr 14 2011 pterjan <pterjan> 1.36-5.mga1
+ Revision: 84816
- Re-upload after upload bug

* Wed Apr 13 2011 juancho <juancho> 1.36-4.mga1
+ Revision: 84716
- Fixed format of some lines, fixed group tags, removed BuildRoot and removed remaining Authors: lines

* Wed Apr 13 2011 tv <tv> 1.36-3.mga1
+ Revision: 84650
- description != authors file

* Wed Apr 13 2011 juancho <juancho> 1.36-2.mga1
+ Revision: 84450
- imported package ioquake3

